import { TemplateResult } from "lit";
import "@openremote/or-components/or-panel";
import "@openremote/or-translate";
import { Store } from "@reduxjs/toolkit";
import { AppStateKeyed, Page, PageProvider } from "@openremote/or-app";
import { ProvisioningConfig } from "@openremote/model";
export declare function pageProvisioningProvider(store: Store<AppStateKeyed>): PageProvider<AppStateKeyed>;
export declare class PageProvisioning extends Page<AppStateKeyed> {
    static get styles(): import("lit").CSSResult[];
    protected _configs?: ProvisioningConfig<any, any>[];
    protected _roleOptions?: [string, string][];
    protected _realmOptions?: string[];
    get name(): string;
    connectedCallback(): void;
    stateChanged(state: AppStateKeyed): void;
    protected render(): TemplateResult | void;
    protected _loadConfigs(): Promise<void>;
    protected _createUpdateConfig(config: ProvisioningConfig<any, any>): Promise<void>;
    protected _deleteConfig(config: ProvisioningConfig<any, any>): void;
    protected _doDelete(config: ProvisioningConfig<any, any>): void;
    protected _toggleConfigExpand(ev: MouseEvent): void;
    protected _getConfigTemplate(addCancel: () => void, config: ProvisioningConfig<any, any>): TemplateResult;
}
